## org.eclipse.emf.common.util
Class ArrayDelegatingEList.NonResolvingEListIterator<E1>

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEList.EIterator<E1>
          org.eclipse.emf.common.util.AbstractEList.EListIterator<E1>
              org.eclipse.emf.common.util.AbstractEList.NonResolvingEListIterator<E1>
                  org.eclipse.emf.common.util.ArrayDelegatingEList.NonResolvingEListIterator<E1>

All Implemented Interfaces:
  java.util.Iterator<E1>, java.util.ListIterator<E1>

Enclosing class:
  ArrayDelegatingEList<E>

    protected class ArrayDelegatingEList.NonResolvingEListIterator<E1>

extends AbstractEList.NonResolvingEListIterator<E1>

An extended read-only list iterator that does not `resolve` objects.

Field Summary
`protected java.lang.Object[]` `expectedData` The expected data array of the containing list.

Fields inherited from class org.eclipse.emf.common.util.AbstractEList.EIterator
`cursor, expectedModCount, lastCursor`

Constructor Summary
`ArrayDelegatingEList.NonResolvingEListIterator()` Creates an instance.
`ArrayDelegatingEList.NonResolvingEListIterator(int index)` Creates an instance advanced to the index.

Method Summary
`protected void` `checkModCount()` Checks that the modification count and data array are as expected.

Methods inherited from class org.eclipse.emf.common.util.AbstractEList.NonResolvingEListIterator
`add, doNext, doPrevious, remove, set`

Methods inherited from class org.eclipse.emf.common.util.AbstractEList.EListIterator
`doAdd, doSet, hasPrevious, nextIndex, previous, previousIndex`

Methods inherited from class org.eclipse.emf.common.util.AbstractEList.EIterator
`hasNext, next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.ListIterator
`hasNext, next`

Field Detail

### expectedData

    protected java.lang.Object[] expectedData

  The expected data array of the containing list.

Constructor Detail

### ArrayDelegatingEList.NonResolvingEListIterator

    public ArrayDelegatingEList.NonResolvingEListIterator()

  Creates an instance.

### ArrayDelegatingEList.NonResolvingEListIterator

    public ArrayDelegatingEList.NonResolvingEListIterator(int index)

  Creates an instance advanced to the index.

  Parameters:
    `index` - the starting index.

Method Detail

### checkModCount

    protected void checkModCount()

  Checks that the modification count and data array are as expected.

  Overrides:
    `checkModCount` in class `AbstractEList.EIterator<E1>`
  Throws:
    `java.util.ConcurrentModificationException` - if the modification count is not as expected.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.